## org.eclipse.datatools.enablement.mysql.catalog
Class MySqlCatalogTable

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
                                      org.eclipse.datatools.modelbase.sql.tables.impl.BaseTableImpl
                                          org.eclipse.datatools.modelbase.sql.tables.impl.PersistentTableImpl
                                              org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCTable
                                                  org.eclipse.datatools.enablement.mysql.catalog.MySqlCatalogTable

All Implemented Interfaces:
  ICatalogObject, SQLObject, BaseTable, PersistentTable, Table, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class MySqlCatalogTable

extends JDBCTable

This class is the Schema implementation, its purpose is to load columns, constraint, index and primaryKeys

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`MySqlCatalogTable()`

Method Summary
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`Index` `findIndexWithColumnName(java.lang.String colName)`
`Database` `getCatalogDatabase()`
`org.eclipse.emf.common.util.EList` `getConstraints()` Returns the value of the 'Constraints' containment reference list.
`java.lang.String` `getTableType()`
`boolean` `isAutoInc()`
`void` `setAutoInc(boolean autoInc)`
`void` `setTableType(java.lang.String tableType)`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCTable
`getColumns, getConnection, getForeignKeys, getIndex, getPrimaryKey, getSupertable, getUniqueConstraints, loadColumns, loadIndexes, refresh`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.BaseTableImpl
`eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getReferencingForeignKeys`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
`basicGetSchema, basicGetSupertable, basicGetUdt, basicSetSchema, basicSetSupertable, getSchema, getSelfRefColumnGeneration, getSubtables, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.BaseTable
`getReferencingForeignKeys`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getSchema, getSelfRefColumnGeneration, getSubtables, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### MySqlCatalogTable

    public MySqlCatalogTable()

Method Detail

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `JDBCTable`

### getTableType

    public java.lang.String getTableType()

### setTableType

    public void setTableType(java.lang.String tableType)

### isAutoInc

    public boolean isAutoInc()

### setAutoInc

    public void setAutoInc(boolean autoInc)

### getConstraints

    public org.eclipse.emf.common.util.EList getConstraints()

  Description copied from interface: `BaseTable`
  Returns the value of the 'Constraints' containment reference list. The list contents are of type `TableConstraint`. It is bidirectional and its opposite is '`Base Table`'.

  If the meaning of the 'Constraints' containment reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getConstraints` in interface `BaseTable`
  Overrides:
    `getConstraints` in class `JDBCTable`
  Returns:
    the value of the 'Constraints' containment reference list.
  See Also:
    `SQLTablesPackage.getBaseTable_Constraints()`, `TableConstraint.getBaseTable()`

### findIndexWithColumnName

    public Index findIndexWithColumnName(java.lang.String colName)

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`
  Overrides:
    `getCatalogDatabase` in class `JDBCTable`